Bug 1426275 - [DS 10.1.1] Update release notes for switch to tcmalloc
Summary: [DS 10.1.1] Update release notes for switch to tcmalloc
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Directory Server
Classification: Red Hat
Component: Doc-release-notes
Version: 10.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
: ---
Assignee: Marc Muehlfeld
QA Contact: Viktor Ashirov
Marc Muehlfeld
URL:
Whiteboard:
Depends On:
Blocks: 1425467
TreeView+ depends on / blocked
 
Reported: 2017-02-23 15:26 UTC by mreynolds
Modified: 2017-05-29 09:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Directory Server now uses the *tcmalloc* memory allocator Red Hat Directory Server now uses the *tcmalloc* memory allocator. The previously used standard *glibc* allocator required more memory, and in certain situations, the server could run out of memory. Using the *tcmalloc* memory allocator, Directory Server now requires less memory, and the performance increased.
Clone Of:
Environment:
Last Closed: 2017-05-29 09:52:59 UTC


Attachments (Terms of Use)

Description mreynolds 2017-02-23 15:26:56 UTC
Description of problem:

We need to document(release notes?) that we have switched over to using tcmalloc, instead of glibc memory allocator.

Design doc:

http://www.port389.org/docs/389ds/design/tcmalloc-design.html

Comment 4 Robert Krátký 2017-04-24 10:01:37 UTC
Added one comma :-)

Comment 5 Marc Muehlfeld 2017-05-29 09:52:59 UTC
The release note of this 389-ds-base enhancement has been published in the RHEL 7.4 beta release notes:
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7-Beta/html/7.4_Release_Notes/index.html


Note You need to log in before you can comment on or make changes to this bug.